# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/GlobalDestruction.pm) perl(IO/Socket/SSL.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Callback.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Net/Curl/Easy.pm) perl(Sub/Exporter.pm) perl(Test/Deep.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Try/Tiny.pm) perl(namespace/clean.pm) perl(Search/Elasticsearch.pm)
# END SourceDeps(oneline)
%define module_name Search-Elasticsearch-Client-5_0
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 6.00
Release: alt1
Summary: Thin client with full support for Elasticsearch 5.x APIs
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DR/DRTECH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The the Search::Elasticsearch::Client::5_0 manpage package provides a client
compatible with Elasticsearch 5.x.  It should be used in conjunction
with the Search::Elasticsearch manpage as follows:

    $e = Search::Elasticsearch->new(
        client => "5_0::Direct"
    );

See the Search::Elasticsearch::Client::5_0::Direct manpage for documentation
about how to use the client itself.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/S*

%changelog
* Fri Nov 17 2017 Igor Vlasenko <viy@altlinux.ru> 6.00-alt1
- initial import by package builder

